GpgFrontend::UI::AboutDialog Class Reference

Class for handling the about dialog. More...

`#include <AboutDialog.h>`

Inheritance diagram for GpgFrontend::UI::AboutDialog:
Collaboration diagram for GpgFrontend::UI::AboutDialog:

## Public Member Functions

| AboutDialog (int defaultIndex, QWidget *parent)
| Construct a new About Dialog object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Protected Member Functions

void | showEvent (QShowEvent *ev) override

## Private Attributes

UpdateTab * | update_tab_

## Detailed Description

Class for handling the about dialog.

## Constructor & Destructor Documentation

## AboutDialog()

GpgFrontend::UI::AboutDialog::AboutDialog | ( | int | defaultIndex,
|  | QWidget * | parent
| ) |  |

explicit

Construct a new About Dialog object.

Parameters

  defaultIndex |
  parent |

## Member Function Documentation

## showEvent()

void GpgFrontend::UI::AboutDialog::showEvent | ( | QShowEvent * | ev | ) |

overrideprotected

Parameters

  ev |

References GpgFrontend::UI::UpdateTab::getLatestVersion().

The documentation for this class was generated from the following files:

- src/ui/dialog/help/AboutDialog.h
- src/ui/dialog/help/AboutDialog.cpp